Bug 20341 - Show authorized value description for withdrawn like damaged and lost
Summary: Show authorized value description for withdrawn like damaged and lost
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on: 11280
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-06 11:21 UTC by Fridolin SOMERS
Modified: 2018-05-29 13:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20341: Show authorized value description for withdrawn like damaged and lost (3.85 KB, patch)
2018-03-06 11:35 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 20341: Show authorized value description for withdrawn like damaged and lost (3.90 KB, patch)
2018-03-06 13:34 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 20341: Show authorized value description for withdrawn like damaged and lost (3.96 KB, patch)
2018-03-09 11:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20341: Use AuthorisedValues plugin on the staff side (5.02 KB, patch)
2018-03-09 11:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20341: Use AuthorisedValues plugin on the staff side (5.01 KB, patch)
2018-03-09 11:45 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2018-03-06 11:21:39 UTC
Actually catalog detail page shows for damaged and lost items the authorized value description if exists.
We must do the same for withdrawn information.
Comment 1 Fridolin SOMERS 2018-03-06 11:35:22 UTC
Created attachment 72468 [details] [review]
Bug 20341: Show authorized value description for withdrawn like damaged and lost

Actually catalog detail page shows for damaged and lost items the authorized value description if exists.
We must do the same for withdrawn information.

Test plan :
1) Set for items a subfield linked to items.withdrawn and using the authorized value category 'WITHDRAWN'
2) Edit the authorized value category to add value '2' and description 'Eaten by dog'
3) Edit an item to set this withdrawn value
4) Go to staff interface and look at items in record detail page /cgi-bin/koh/catalogue/detail.pl :
=> Without patch you see 'Withdrawn' and with patch you see 'Eaten by dog'
5) Go to OPAc and look at items in record detail page /cgi-bin/koha/opac-detail.pl :
=> Without patch you see 'Withdrawn' and with patch you see 'Eaten by dog'
Comment 2 sandboxes@biblibre.com 2018-03-06 13:34:11 UTC
Patch tested with a sandbox, by delaye <stephane.delaye@biblibre.com>
Comment 3 sandboxes@biblibre.com 2018-03-06 13:34:33 UTC
Created attachment 72470 [details] [review]
Bug 20341: Show authorized value description for withdrawn like damaged and lost

Actually catalog detail page shows for damaged and lost items the authorized value description if exists.
We must do the same for withdrawn information.

Test plan :
1) Set for items a subfield linked to items.withdrawn and using the authorized value category 'WITHDRAWN'
2) Edit the authorized value category to add value '2' and description 'Eaten by dog'
3) Edit an item to set this withdrawn value
4) Go to staff interface and look at items in record detail page /cgi-bin/koh/catalogue/detail.pl :
=> Without patch you see 'Withdrawn' and with patch you see 'Eaten by dog'
5) Go to OPAc and look at items in record detail page /cgi-bin/koha/opac-detail.pl :
=> Without patch you see 'Withdrawn' and with patch you see 'Eaten by dog'

Signed-off-by: delaye <stephane.delaye@biblibre.com>
Comment 4 Kyle M Hall 2018-03-09 11:43:44 UTC
Created attachment 72561 [details] [review]
Bug 20341: Show authorized value description for withdrawn like damaged and lost

Actually catalog detail page shows for damaged and lost items the authorized value description if exists.
We must do the same for withdrawn information.

Test plan :
1) Set for items a subfield linked to items.withdrawn and using the authorized value category 'WITHDRAWN'
2) Edit the authorized value category to add value '2' and description 'Eaten by dog'
3) Edit an item to set this withdrawn value
4) Go to staff interface and look at items in record detail page /cgi-bin/koh/catalogue/detail.pl :
=> Without patch you see 'Withdrawn' and with patch you see 'Eaten by dog'
5) Go to OPAc and look at items in record detail page /cgi-bin/koha/opac-detail.pl :
=> Without patch you see 'Withdrawn' and with patch you see 'Eaten by dog'

Signed-off-by: delaye <stephane.delaye@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Kyle M Hall 2018-03-09 11:43:50 UTC
Created attachment 72562 [details] [review]
Bug 20341: Use AuthorisedValues plugin on the staff side

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2018-03-09 11:45:27 UTC
Created attachment 72563 [details] [review]
Bug 20341: Use AuthorisedValues plugin on the staff side

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Jonathan Druart 2018-03-19 16:53:53 UTC
(In reply to Kyle M Hall from comment #6)
> Created attachment 72563 [details] [review] [review]
> Bug 20341: Use AuthorisedValues plugin on the staff side
> 
> Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

I am not sure we already agreed on that: the UI let the ability to choose different AV category for each frameworks. I think it should be discussed widely before removing this possibility.
Even if I am pretty sure it is not handle correctly everywhere.
Comment 8 Jonathan Druart 2018-03-19 18:31:33 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 9 Nick Clemens 2018-04-24 01:31:57 UTC
Awesome work all, backported to stable for 17.11.05
Comment 10 Fridolin SOMERS 2018-04-24 05:11:33 UTC
Pushed to 17.05.x for 17.05.11